Public Member Functions

# MusicDriverFactory< T > Class Template Reference

Factory for the music drivers. More...

`#include <music_driver.hpp>`

Inheritance diagram for MusicDriverFactory< T >:

## Public Member Functions
const char * | GetName ()
| Get the long, human readable, name for the Driver-class.

## Detailed Description

### template<class T>
class MusicDriverFactory< T >

Factory for the music drivers.

Template Parameters:

  | T | The type of the music factory to register.

Definition at line 53 of file music_driver.hpp.

The documentation for this class was generated from the following file:

- src/music/music_driver.hpp